Bug 214614 - zero-width chars are printed as boxes with firefox
zero-width chars are printed as boxes with firefox
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
http://fa.farsiweb.ir/
: Desktop, i18n
Depends On: 217413
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-08 12:28 EST by Roozbeh Pournader
Modified: 2008-01-15 09:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:38:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roozbeh Pournader 2006-11-08 12:28:22 EST
Description of problem:
When printing pages containing zero-width characters like U+200C ZERO WIDTH
NON-JOINER used in orthographies of several languages written in the Arabic and
Indic scripts, the characters are displayed as boxes.

Version-Release number of selected component (if applicable):
firefox-1.5.0.7-8.fc6

How reproducible:
Always

Steps to Reproduce:
1. Open http://fa.farsiweb.ir/
2. Choose File->Print from the menu.
3. Click on the "Print" button.
  
Actual results:
The printed page contains boxes over some letters, where ZWNJs are located.

Expected results:
The printed page should not contain the boxes.

Additional info:
bug 214493 is about the same phenomenon when printing using gedit, but is
probably completely unrelated.
Comment 1 Roozbeh Pournader 2006-11-08 14:30:43 EST
The problem also exists with firefox-2.0-2.fc7 on rawhide.
Comment 2 Behdad Esfahbod 2006-11-13 17:57:00 EST
Right.  My fault.  Will be fixed soonish.
Comment 3 Matěj Cepl 2007-12-10 04:23:43 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 4 Matěj Cepl 2008-01-15 09:38:51 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.